<?php

namespace App\Modules\GroupPassenger\Application\DeleteMedia;

use App\Modules\GroupPassengerMedia\Application\GroupPassengerMediaResponses;
use App\Modules\Shared\Domain\Bus\Query\Response;

class DeleteMediaGroupPassengerResponse implements Response
{

    public array $GroupPassengerMedia;

    public function __construct(GroupPassengerMediaResponses $response)
    {
        $this->GroupPassengerMedia = $response->data();
    }

    public function data(): array
    {
        return [
            ['GroupPassengerMedia' => $this->GroupPassengerMedia]
        ];
    }
}
